Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-teas-assoc-corouted-bidir-frr-04

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Wed, 8 Aug 2018 19:30:11 +0000

Hi Daniele,

FYI, we have uploaded this version. Please let us know if you have additional comments.

https://tools.ietf.org/html/draft-ietf-teas-assoc-corouted-bidir-frr-05

https://datatracker.ietf.org/doc/html/draft-ietf-teas-assoc-corouted-bidir-frr-05

A diff from the previous version is available at:

https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-assoc-corouted-bidir-frr-05

Thanks,
Rakesh (for authors)

From: "=SMTP:rgandhi@cisco. com" <[email-masked]>
Date: Monday, July 30, 2018 at 11:22 AM
To: Daniele Ceccarelli <[email-masked]>, "<[email-masked]> ([email-masked])" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "TEAS WG ([email-masked])" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: RtgDir review: draft-ietf-teas-assoc-corouted-bidir-frr-04

Hi Daniele,

Many thanks for the review of the document and your suggestions.
Diff file is for the updated document is attached.
Please see inline <RG>…

From: Daniele Ceccarelli <[email-masked]>
Date: Saturday, July 28, 2018 at 10:28 AM
To: "<[email-masked]> ([email-masked])" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "TEAS WG ([email-masked])" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RtgDir review: draft-ietf-teas-assoc-corouted-bidir-frr-04
Resent-From: <[email-masked]>
Resent-To: "=SMTP:rgandhi@cisco. com" <[email-masked]>, <[email-masked]>, <[email-masked]>, Lou Berger <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, DEBORAH BRUNGARD <[email-masked]>, <[email-masked]>, Vishnu Beeram <[email-masked]>, <[email-masked]>
Resent-Date: Saturday, July 28, 2018 at 10:28 AM

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir<http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir>

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-teas-assoc-corouted-bidir-frr-04
Reviewer: Daniele Ceccarelli
Review Date: 27/07/2018
IETF LC End Date: date-if-known
Intended Status: Standard track

Summary:

  *   I have some minor concerns about this document that I think should be resolved before publication.

Comments:

  *   The document is very well written and the problem clearly stated (even if called overview 😊 ). The second part is a bit harder to follow but I don’t see how to make the procedure section easier to read.
<RG> Ok, thanks.

  *   It is not clear to me why there is an “example” of Extended Association ID in the appendix. RFC 6780 just says it “contains data that is additional information to support unique identification.” But doesn’t describe how it should be filled. Does this mean there is no standard format for it?
<RG> Right. Example shown in the Appendix is one un-ambiguous way to populate it for associated bidirectional LSPs.

Major Issues:

None

Minor Issues:

  *   Moving the terminology section before the introduction would improve readability, since the terms defined in the terminology section are frequently used in the introduction.
<RG> I am not familiar with an RFC where terminology is the first section. I am fine either way, please let me know if you prefer this way.

  *   When I read the title of section 3 (overview), I thought “why an overview is needed if there is an introduction?”. Actually the text in that section is very useful but more than an overview I would call it a problem statement (or something like that).
<RG> Corrected.

  *   The usage of RFC 2119 (or should we reference RFC 8174 ??) is not congruent all over the document. E.g. section 4.1

  o  The downstream PLR node always initiates the bypass tunnel

      assignment for the forward LSP.  The upstream PLR (forward

      direction LSP MP) node simply reflects the associated bypass

      tunnel assignment for the reverse direction LSP.  The upstream PLR

      node MUST NOT initiate the bypass tunnel assignment.

<RG> Corrected.

Nits:

  *   Section1: “(G)Multiprotocol Label Switching (MPLS) Traffic Engineering (TE) Label Switched Paths (LSPs)”. This formatting doesn’t make much sense. In the first instance the brackets are used to say MPLS or GMPLS while in the other ones to define the acronyms.
<RG> Corrected.

  *   Section 3.1 there is no need to repeat twice that Bypass tunnel N uses path B-H-I-C and Bypass tunnel S path B-F-G-C. The second time the bracket can be dropped.
<RG> Corrected.

  *   Section 4.1.1. -  s/SHOULD trigger the procedure/ SHOULD trigger procedure
<RG> Corrected.
Thanks,
Rakesh (for authors)

BR
Daniele

---

From: Daniele Ceccarelli <[email-masked]>
Date: Mon, 20 Aug 2018 08:56:07 +0000

Hi Rakesh,

thanks for the update.

The terminology section is a very minor issues, the important thing is that it is there. I would prefer to have it at the beginning as sometimes I found it hard to read the intro where terms not yet defined were used.
Please also address the comment from Deborah to add one or two sentences to section 5 on what happens if one of the nodes does not support the feature.

When that is done I’m ok with the document.
Thanks
Daniele

From: Rakesh Gandhi (rgandhi) <[email-masked]>
Sent: mercoledì 8 agosto 2018 21:30
To: Daniele Ceccarelli <[email-masked]>; <[email-masked]> ([email-masked]) <[email-masked]>
Cc: [email-masked]; TEAS WG ([email-masked]) <[email-masked]>; [email-masked]
Subject: Re: RtgDir review: draft-ietf-teas-assoc-corouted-bidir-frr-04

Hi Daniele,

Thanks,
Rakesh (for authors)

From: "=SMTP:rgandhi@cisco. com" <[email-masked]<mailto:[email-masked]>>
Date: Monday, July 30, 2018 at 11:22 AM
To: Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>, "<[email-masked]<mailto:[email-masked]>> ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "TEAS WG ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: RtgDir review: draft-ietf-teas-assoc-corouted-bidir-frr-04

Hi Daniele,

From: Daniele Ceccarelli <[email-masked]<mailto:[email-masked]>>
Date: Saturday, July 28, 2018 at 10:28 AM
To: "<[email-masked]<mailto:[email-masked]>> ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "TEAS WG ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RtgDir review: draft-ietf-teas-assoc-corouted-bidir-frr-04
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: "=SMTP:rgandhi@cisco. com" <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Lou Berger <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, DEBORAH BRUNGARD <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Vishnu Beeram <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Resent-Date: Saturday, July 28, 2018 at 10:28 AM

Hello,

Summary:

Comments:

Major Issues:

None

Minor Issues:

<RG> Corrected.

Nits:

BR
Daniele

---

From: "Rakesh Gandhi (rgandhi)" <[email-masked]>
Date: Tue, 28 Aug 2018 14:48:27 +0000

Hi Daniele,

Thank you for the review comments and feedbacks.

We have addressed the comments in the latest draft @

    Htmlized:       https://tools.ietf.org/html/draft-ietf-teas-assoc-corouted-bidir-frr-06

    Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-teas-assoc-corouted-bidir-frr-06

Please let us know if you ok with the document.

Thanks,
Rakesh

From: Daniele Ceccarelli <[email-masked]>
Date: Monday, August 20, 2018 at 4:56 AM
To: "=SMTP:rgandhi@cisco. com" <[email-masked]>, "<[email-masked]> ([email-masked])" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "TEAS WG ([email-masked])" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: RtgDir review: draft-ietf-teas-assoc-corouted-bidir-frr-04

Hi Rakesh,

thanks for the update.

Hi Daniele,

Thanks,
Rakesh (for authors)

Hi Daniele,

Hello,

Summary:

Comments:

Major Issues:

None

Minor Issues:

<RG> Corrected.

Nits:

BR
Daniele